// SparkFun Serial LCD example 1
// Clear the display and say "Hello World!"

// This sketch is for Arduino versions prior to 1.0
// If you're using Arduino version 1.0 or later, use
// the other example code available on the tutorial page.

// This sketch uses the NewSoftSerial library by Mikal Hart.
// You can download it from http://arduiniana.org/libraries/newsoftserial/
// Place the "NewSoftSerial" folder in your arduino sketch / libraries folder.

// Use the NewSoftSerial library to create a new "soft" serial port
// for the display. This prevents display corruption when uploading code.
#include <NewSoftSerial.h>

// Attach the serial display's RX line to digital pin 2
NewSoftSerial mySerial(3,2); // pin 2 = TX, pin 3 = RX (unused)

void setup()
{
  mySerial.begin(9600); // set up serial port for 9600 baud
  delay(500); // wait for display to boot up
}

void loop()
{
  mySerial.print(254, BYTE); // move cursor to beginning of first line
  mySerial.print(128, BYTE);

  mySerial.print("                "); // clear display
  mySerial.print("                ");

  mySerial.print(254, BYTE); // move cursor to beginning of first line
  mySerial.print(128, BYTE);
 
  mySerial.print("Hello, world!");

  while(1); // wait forever
}
